/*index.html + header, footer*/
*{
    margin: 0;
    padding: 0;
}

body {
    font-family: "Quicksand", sans-serif;
    scroll-behavior: smooth;
}

header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin: 10px;
}

header img {
    width: 200px;
}

header>ul {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    list-style-type: none;
    font-size: 25px;
}

header a {
    text-decoration: none;
    margin: 10px 15px;
    color: black;
    transition: 0.2s;
}

header a:hover {
    color: #F6AAB3;
}

.introductionIndexDiv {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 28px;
    height: 20em;
    width: 85%;
}

.introductionIndexDiv img {
    width: 20em;
}

.introductionDiv {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 28px;
}

.introductionDiv h1 {
    text-align: center;
}

.backgroundImage {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    background-image: url("img/background.png");
    background-repeat: no-repeat;
    background-size: cover;
    height: 35em;
}

.backgroundWhite {
    background-color: white;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.articleDiv {
    display: flex;
    flex-direction: row;
    width: 85%;
    margin: 10px;
    border-top: 2px solid #F6AAB3;
    border-bottom: 2px #F6AAB3;
}

.introductionDiv img {
    width: 20em;
    border: 2px;
    border-radius: 25px;
}

.articleImg {
    float: left;
}

.articleImg img{
    width: 30em;
    border-radius: 25px;
    margin: 15px;
}

.articleText {
    display: flex;
    flex-direction: column;
    margin: 20px 30px;
    font-size: 25px;
}

.articleText p {
    margin: 5px;
}

.articleLongText {
    display: flex;
    flex-direction: column;
    margin: 20px 0px;
}

.articleLongText p {
    margin: 5px;
}

.articleText h2 {
    font-size: 40px;
    margin: 10px 5px;
    text-align: center;
}

.articleText a {
    text-align: center; 
    text-decoration: none;
    color: black;
    transition: 0.2s;
}

.articleText a:hover {
    color: #F6AAB3;
}

.articleBlog {
    display: flex;
    justify-content: center;
    flex-direction: row;
    margin: 10px 0px;
    width: 85%;
    border-top: 2px solid #F6AAB3;
    border-bottom: 2px #F6AAB3;
}

.selectingDiv>.articleBlog {
    width: 100%;
}

.selectingDiv {
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 85%;
    margin: 10px;
    border-top: 2px solid #F6AAB3;
    border-bottom: 2px #F6AAB3;
}

.selectingDiv>h2 {
    font-size: 40px;
    margin: 10px 5px;
    text-align: center;
}

.selectorDiv {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.selectorDiv a {
    text-decoration: none;
    width: 30%;
    color: black;
    transition: 0.5s;
    box-shadow: gainsboro 3px 3px 3px 3px;
    border-radius: 10px;
    margin: 20px 10px;
}

.selectorDiv a:hover {
    color: #F6AAB3;
    transform: scale(1.02);
}

.optionDiv {
    border-radius: 10px;
    width: 100%;
    text-align: center;
}

.optionDiv img {
    width: 100%;
    border-radius: 10px 10px 0px 0px;
}

.optionDiv h2 {
    margin-bottom: 10px;
}

.option1 {
    display: grid;
    grid-template-columns: 1fr 2fr;
    align-items: center;
    justify-content: center;
    width: 85%;
    border-top: 2px solid #F6AAB3;
    border-bottom: 2px #F6AAB3;
    margin: 10px;
}

.option1>img {
    margin: 20px;
    width: 35em;
    border-radius: 10px;
}

.option2 {
    display: grid;
    grid-template-columns: 2fr 1fr;
    align-items: center;
    justify-content: center;
    width: 85%;
    border-top: 2px solid #F6AAB3;
    border-bottom: 2px #F6AAB3;
    margin: 10px;
}

.option2>img {
    margin: 20px;
    width: 35em;
    border-radius: 10px;
}

.profilePic {
    width: 40%;
    border-radius: 100%;
    margin: 20PX;
}

.contact {
    font-size: 30px;
    list-style-type: none;
}

@media (max-width: 1600px) {

    .articleBlog {
        flex-direction: column;
        align-items: center;
    }
    
}

@media (max-width: 1400px) {

    .selectorDiv {
        flex-direction: column;
        align-items: center;
    }

    .articleDiv {
        flex-direction: column;
        align-items: center;
    }

    .option1 {
        display: flex;
        flex-direction: column;
    }

    .option2 {
        display: flex;
        flex-direction: column-reverse;
    }

    .backgroundImage > .articleText > .contact > li{
        font-size: 25px;
    }
    
}

@media (max-width: 1200px) {

    .introductionIndexDiv img, .introductionDiv img {
        display: none;
    }

    .selectingDiv a {
        width: 50%;
    }
    
}

@media (max-width: 1000px) {

    .backgroundImage {
        flex-direction: column;
        text-align: center;
    }

}

@media (max-width: 800px) {

    header {
        flex-direction: column;
    }

    header h3 {
        margin-bottom: 10px;
    }

    .introductionIndexDiv, .introductionDiv, .contact {
        font-size: 25px;
    }

    .profilePic {
        width: 60%;
    }

    header img {
        width: 160px;
    }
    
}

@media (max-width: 500px) {

    .articleText {
        font-size: 22px;
        margin: 5px;
    }

    .articleText h2{
        font-size: 30px;
        margin: 5px 0px;
    }

    header {
        margin: 5px 0px;
    }

    header li {
        font-size: 20px;
        margin: 2px 0px;
    }

    .option1 img, .option2 img, .articleImg img, .selectorDiv a, .optionDiv img {
        width: 90%;
    }

    .selectorDiv a, .selectingDiv img {
        width: 100%;
    }

    header img {
        width: 120px;
    }

}

footer {
    text-align: center;
    font-size: 22px;
    background-color: #F6AAB3;
}

footer h3{
    padding: 10px;
}
